Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(327)

Side by Side Diff: go-back-with-backspace/build-zip.sh

Issue 2325963003: Add options and a browser-action popup. (Closed) Base URL: https://chromium.googlesource.com/chromium/extensions-by-google.git@master
Patch Set: Response to comments Created 4 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « go-back-with-backspace/background.js ('k') | go-back-with-backspace/content_script.js » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # Zip the files needed for this extension, excluding screenshots, promotional 2 # Zip the files needed for this extension, excluding screenshots, promotional
3 # images, and backup files. 3 # images, and backup files.
4 4
5 # Constants 5 # Constants
6 readonly ZIP_FILE='go-back-with-backspace.zip' 6 readonly ZIP_FILE='go-back-with-backspace.zip'
7 # The individual icon files are listed so an error will be raised if one is 7 # The individual files within directories are listed so an error will be
8 # missing. 8 # raised if one is missing.
9 declare -ar ZIP_CONTENTS=(_locales/ 9 declare -ar ZIP_CONTENTS=(LICENSE
10 _locales/
11 background.js
12 content_script.js
10 icons/ 13 icons/
11 icons/icon16.png 14 icons/icon16.png
15 icons/icon19.png
12 icons/icon32.png 16 icons/icon32.png
17 icons/icon38.png
13 icons/icon48.png 18 icons/icon48.png
14 icons/icon128.png 19 icons/icon128.png
15 content_script.js
16 is_editable.js 20 is_editable.js
17 manifest.json 21 manifest.json
22 pages/
23 pages/common.js
24 pages/installed.css
25 pages/installed.html
26 pages/installed.js
27 pages/options.css
28 pages/options.html
29 pages/options.js
30 pages/popup.css
31 pages/popup.html
32 pages/popup.js
18 readme.txt) 33 readme.txt)
19 34
20 # Remove backup files. 35 # Remove backup files.
21 rm -f $(find . -name \*~ -or -name \#\*\#) 36 rm -f $(find . -name \*~ -or -name \#\*\#)
22 37
23 if ! mkdir -p icons; then 38 if ! mkdir -p icons; then
24 echo "Error creating icons/ directory" >&2 39 echo "Error creating icons/ directory" >&2
25 exit 1 40 exit 1
26 fi 41 fi
27 42
28 if ! cp assets/icon*.png icons/; then 43 if ! cp assets/icon*.png icons/; then
29 echo "No icon images found in icons/" >&2 44 echo "No icon images found in icons/" >&2
30 exit 2 45 exit 2
31 fi 46 fi
32 47
33 rm -f "${ZIP_FILE}" 48 rm -f "${ZIP_FILE}"
34 if ! zip -r --quiet --must-match "${ZIP_FILE}" "${ZIP_CONTENTS[@]}"; then 49 if ! zip -r --quiet --must-match "${ZIP_FILE}" "${ZIP_CONTENTS[@]}"; then
35 echo "Error zipping required files (${ZIP_CONTENTS[@]})" >&2 50 echo "Error zipping required files (${ZIP_CONTENTS[@]})" >&2
36 exit 3 51 exit 3
37 fi 52 fi
OLDNEW
« no previous file with comments | « go-back-with-backspace/background.js ('k') | go-back-with-backspace/content_script.js » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698